#ifndef COMMON_HIGHSCORES_H
#define COMMON_HIGHSCORES_H

#include "base/highscores.h"


class CommonHighscores : public BaseHighscores
{
 public:
    CommonHighscores();

 private:
    void convertLegacy(uint level);
    bool isStrictlyLess(const KExtHighscores::Score &,
                        const KExtHighscores::Score &) const;
    void additionnalQueryItems(KURL &, const KExtHighscores::Score &) const;
};

#endif
